summaryrefslogtreecommitdiff
path: root/dev-python/pytz
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pytz')
-rw-r--r--dev-python/pytz/Manifest2
-rw-r--r--dev-python/pytz/pytz-2026.5.ebuild52
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/pytz/Manifest b/dev-python/pytz/Manifest
index f5ce59586bab..53427e2a31f7 100644
--- a/dev-python/pytz/Manifest
+++ b/dev-python/pytz/Manifest
@@ -2,3 +2,5 @@ DIST pytz-2026.3.post1.tar.gz 319745 BLAKE2B 7df0b649e2f68e4e4a43326e5b0d83e604d
DIST pytz-2026.3.post1.tar.gz.provenance 9941 BLAKE2B 327fd3e70fcceccb875ce2fa7df179a1f5094c36379b32e84f3b00f16638d6a5ff1bf766bf86d4d5e2d993e2789dc5b79681d12752d4add21fdca5189f0297ba SHA512 df3e2d681fe5df3e07edf98188ed4485bdc92dc025cff2a716c5b1a3e204f9c4f1e0afdc32dbfc690000bede60ca45ca3258f0fa3707543701c18eae3755ec88
DIST pytz-2026.4.tar.gz 318444 BLAKE2B b4b97806c1a9b191115c74aff551365076786d3b4b856658f2f0092c42126740c3f11f54c45ddf0e2c047c29036a70bca1a53ea30ed5bf4d9ce45075f0391433 SHA512 3347f0441521ec3830db68ae49bc8debd9a8ede367dec8ad0d51ee166380ba5ebfba2d418f70987513fbcaae4f7774e9f6c1262104d14ad64d437571522e5e22
DIST pytz-2026.4.tar.gz.provenance 9647 BLAKE2B 0a5feab1d02918c2538cf3358681c41c111349e5b4c87f20efd482b4df5eab33017f5d847be9c39289b783b582c2bda317c35e62902dfe69af77484440926ff5 SHA512 c31280f0d751fb6871846f4acb98978c04c71a8bc243240681a3795c2f0e2b911510523e7891e4794981c365cf057bb31ae12807f11ac89ee6129d306f45338a
+DIST pytz-2026.5.tar.gz 318572 BLAKE2B 2d6bab80a7bf6d2060374522c90a08663cbfd2b82880a8449af8cffa4211312018ad1570338f142c1ef715397fcfd680cc1a249a8617689b6ee05a15259d3443 SHA512 e4950a00d4a4ad7812210f7d914d3b4b809eed8b9cf5b612b27c32fecbdc0ee72093b8c5f6ff4ffc8b6462ec65762951e4029c70084afef0ca2501c09362d600
+DIST pytz-2026.5.tar.gz.provenance 9694 BLAKE2B 9373cac8ebea2e2db1b4873dba99715be0276fc22308e4901a56c6508fe9b9c99b01517c8e2d4d836122848454e11f9a5af94c60588ab336143a4687e90e3b11 SHA512 e08ea372404bb453a935892e3777aacf40f789319b0156ea396c653292d5de2a926d7690fcdae2395aa7c3b71cb5233cd98d0044ed6de4d1eac5d921ad262ced
diff --git a/dev-python/pytz/pytz-2026.5.ebuild b/dev-python/pytz/pytz-2026.5.ebuild
new file mode 100644
index 000000000000..25e025d264d4
--- /dev/null
+++ b/dev-python/pytz/pytz-2026.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/stub42/pytz
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="
+ https://pythonhosted.org/pytz/
+ https://github.com/stub42/pytz/
+ https://pypi.org/project/pytz/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ || (
+ >=sys-libs/timezone-data-2023b
+ sys-libs/glibc[vanilla]
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle timezone-data
+ rm -r pytz/zoneinfo || die
+ # remove hardcoded list of all timezones but leave subjective set
+ # of "common timezones"
+ sed -i -e '/^_all_timezones_unchecked/,/^all_timezones_set/d' pytz/__init__.py || die
+ eapply "${FILESDIR}"/pytz-2023.2-system-tzinfo.patch
+}
+
+python_test() {
+ "${EPYTHON}" pytz/tests/test_tzinfo.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}